// 通用设置api文件
import request from '@/utils/request'
import qs from 'qs'
let api = '/api-cms'
// 资讯列表分页查询
export function newsList(data) {
    return request({
        url: api + '/news/list',
        method: 'get',
        params: data
    })
}
// 更新资讯
export function newsUpdate(data) {
    return request({
        url: api + '/news/update',
        method: 'post',
        data: qs.stringify(data)
    })
}
// 新增资讯
export function newsAdd(data) {
    return request({
        url: api + '/news/add',
        method: 'post',
        data: qs.stringify(data)
    })
}
// 查询资讯详情
export function newsQueryId(data) {
    return request({
        url: api + '/news/query',
        method: 'get',
        params: data
    })
}
// 删除资讯详情
export function newsDel(data) {
    return request({
        url: api + '/news/del/' + data.id,
        method: 'post',
        data: qs.stringify(data)
    })
}

